<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('watertransfer_permission', function (Blueprint $table) {
            $table->string('resident_type')->nullable()->after('id'); // change 'after' as needed
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('watertransfer_permission', function (Blueprint $table) {
            $table->dropColumn('resident_type');
        });
    }
};
